varying vec2 		texcoord;
uniform sampler2D 	tex;
uniform sampler2D 	texMB;

void main()
{
	vec4 mask=texture2D(texMB,texcoord);
	gl_FragColor.xyz=mix(texture2D(tex,texcoord).xyz,mask.xyz,mask.a);
	gl_FragColor.a=0.0;
}
